---
id: Table
section: components
wrapperTag: div
---## Demos

### Basic

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-simple">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-simple">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-simple-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-simple-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-simple-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-simple">
    <section class="pf-c-page__main-nav pf-m-limit-width">
      <div class="pf-c-page__main-body">
        <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
          <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
            <i class="fas fa-angle-left" aria-hidden="true"></i>
          </button>
          <ul class="pf-c-nav__list">
            <li class="pf-c-nav__item">
              <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
            </li>
            <li class="pf-c-nav__item">
              <a href="#" class="pf-c-nav__link">Nav Item 2</a>
            </li>
            <li class="pf-c-nav__item">
              <a href="#" class="pf-c-nav__link">Nav Item 3</a>
            </li>
            <li class="pf-c-nav__item">
              <a href="#" class="pf-c-nav__link">Nav Item 4</a>
            </li>
            <li class="pf-c-nav__item">
              <a href="#" class="pf-c-nav__link">Nav Item 5</a>
            </li>
          </ul>
          <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
            <i class="fas fa-angle-right" aria-hidden="true"></i>
          </button>
        </nav>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-limit-width pf-m-light">
      <div class="pf-c-page__main-body">
        <div class="pf-c-content">
          <h1>Table demos</h1>
          <p>Below is an example of a Table.</p>
          <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum suscipit venenatis enim, ut ultrices metus ornare at. Curabitur vel nibh id leo finibus suscipit. Curabitur eu tellus lectus. Vivamus lacus leo, lobortis ac convallis ac, dapibus vel ligula. Suspendisse vitae felis at augue blandit sollicitudin. Sed erat metus, pellentesque vel accumsan vitae, tincidunt id erat. Mauris et pharetra felis. Duis at nisi leo. Nam blandit dui dui, in euismod est dapibus sed. Vivamus sed dolor ullamcorper, euismod orci efficitur, ornare leo. Sed sit amet sollicitudin nulla. Nunc tristique sem ut est laoreet efficitur. Cras tristique finibus risus, eget fringilla tellus porta vitae. Duis id nunc ultricies, ultrices nibh vel, sollicitudin tellus.</p>
        </div>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-limit-width pf-m-no-padding pf-m-padding-on-md pf-m-light">
      <div class="pf-c-page__main-body">
        <table class="pf-c-table pf-m-grid-md " role="grid" aria-label="This is a table with checkboxes" id="page-layout-table-simple-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-simple-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-simple-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
30
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
2
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-simple-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
12
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
48
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
13
                </span>
              </td>
              <td role="cell" data-label="Last commit">30 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-simple-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
3
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
20
                </span>
              </td>
              <td role="cell" data-label="Last commit">8 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow5" aria-labelledby="page-layout-table-simple-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
34
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
21
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
26
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Sortable

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-sortable">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-sortable">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-sortable-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-sortable-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-sortable-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-sortable-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-sortable-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-sortable-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-sortable-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-sortable-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-sortable-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-sortable-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-sortable-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-sortable-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-sortable-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-sortable">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-xl" role="grid" aria-label="This is a sortable table example" id="page-layout-table-sortable-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th class="pf-c-table__sort pf-m-selected " role="columnheader" aria-sort="ascending" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Repositories</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-long-arrow-alt-up"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Branches</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Pull requests</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Workspaces</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Last commit</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-sortable-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-sortable-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-sortable-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-sortable-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
30
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
2
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-sortable-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-sortable-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
12
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
48
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
13
                </span>
              </td>
              <td role="cell" data-label="Last commit">30 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-sortable-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-sortable-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
3
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
20
                </span>
              </td>
              <td role="cell" data-label="Last commit">8 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-sortable-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-sortable-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
34
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
21
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
26
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-sortable-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-sortable-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Expandable

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-expandable">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-expandable">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-expandable-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-expandable-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-expandable-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-expandable-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-expandable-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-expandable-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-expandable-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-expandable-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-expandable-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-expandable-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-expandable-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-expandable-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-expandable-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-expandable">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-expandable pf-m-grid-xl" role="grid" aria-label="Expandable table example" id="page-layout-table-expandable-table">
          <thead>
            <tr role="row">
              <td role="cell"></td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th class="pf-m-width-30 " role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Work spaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__toggle" role="cell">
                <button class="pf-c-button pf-m-plain" aria-labelledby="page-layout-table-expandable-table-node1 expandable-toggle1" id="expandable-toggle1" aria-label="Details" aria-controls="page-layout-table-expandable-table-content1">
                  <div class="pf-c-table__toggle-icon">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </div>
                </button>
              </td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-expandable-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-expandable-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Work spaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td role="cell"></td>
              <td role="cell"></td>
              <td role="cell" colspan="7" id="page-layout-table-expandable-table-content1">
                <div class="pf-c-table__expandable-row-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>
              </td>
              <td role="cell"></td>
            </tr>
          </tbody>
          <tbody class="pf-m-expanded" role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__toggle" role="cell">
                <button class="pf-c-button pf-m-plain pf-m-expanded" aria-labelledby="page-layout-table-expandable-table-node2 expandable-toggle2" id="expandable-toggle2" aria-label="Details" aria-controls="page-layout-table-expandable-table-content2" aria-expanded="true">
                  <div class="pf-c-table__toggle-icon">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </div>
                </button>
              </td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-expandable-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-expandable-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Work spaces">
                <span>
                  <i class="fas fa-cube"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row pf-m-expanded" role="row">
              <td role="cell"></td>
              <td role="cell"></td>
              <td role="cell" colspan="5" id="page-layout-table-expandable-table-content2">
                <div class="pf-c-table__expandable-row-content">
                  <div class="pf-c-content">
                    <p>Git URL:
                      <small>http://github.com/mindreeper2420/rhuxd.git</small>
                    </p>
                    <p>Latest commit SHA1
                      <small>64ae92893d7a98c71b3ef56835ed1c96354526be</small>
                    </p>
                    <p>Status
                      <small>20 total files changed</small>
                    </p>
                    <p>License
                      <small>Apache License 2.9</small>
                    </p>
                  </div>
                </div>
              </td>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </tbody>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__toggle" role="cell">
                <button class="pf-c-button pf-m-plain" aria-labelledby="page-layout-table-expandable-table-node3 expandable-toggle3" id="expandable-toggle3" aria-label="Details" aria-controls="page-layout-table-expandable-table-content3">
                  <div class="pf-c-table__toggle-icon">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </div>
                </button>
              </td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-expandable-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-expandable-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Work spaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td role="cell" colspan="9" id="page-layout-table-expandable-table-content3">
                <div class="pf-c-table__expandable-row-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>
              </td>
            </tr>
          </tbody>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__toggle" role="cell">
                <button class="pf-c-button pf-m-plain" aria-labelledby="page-layout-table-expandable-table-node4 expandable-toggle4" id="expandable-toggle4" aria-label="Details" aria-controls="page-layout-table-expandable-table-content4">
                  <div class="pf-c-table__toggle-icon">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </div>
                </button>
              </td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-expandable-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-expandable-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Work spaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td role="cell" colspan="9" id="page-layout-table-expandable-table-content4">
                <div class="pf-c-table__expandable-row-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>
              </td>
            </tr>
          </tbody>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__toggle" role="cell">
                <button class="pf-c-button pf-m-plain" aria-labelledby="page-layout-table-expandable-table-node5 expandable-toggle5" id="expandable-toggle5" aria-label="Details" aria-controls="page-layout-table-expandable-table-content5">
                  <div class="pf-c-table__toggle-icon">
                    <i class="fas fa-angle-down" aria-hidden="true"></i>
                  </div>
                </button>
              </td>
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow5" aria-labelledby="page-layout-table-expandable-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-expandable-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Work spaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-expandable-table-dropdown-kebab-right-aligned-6-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-expandable-table-dropdown-kebab-right-aligned-6-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td role="cell" colspan="9" id="page-layout-table-expandable-table-content5">
                <div class="pf-c-table__expandable-row-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Compact

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-compact">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-compact">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-compact-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-compact-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compact-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-compact-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compact-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compact-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compact-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compact-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compact-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compact-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compact-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compact-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compact-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compact-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-compact">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-compact pf-m-grid-lg" role="grid" aria-label="This is a compact table example" id="page-layout-table-compact-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Contributor</th>
              <th role="columnheader" scope="col">Position</th>
              <th role="columnheader" scope="col">Location</th>
              <th role="columnheader" scope="col">Last seen</th>
              <th role="columnheader" scope="col">Numbers</th>
              <th class="pf-c-table__icon " role="columnheader" scope="col">Icons</th>
              <th role="columnheader"></th>
              <th role="columnheader"></th>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-compact-table-name1" />
              </td>
              <th role="columnheader" data-label="Contributor">
                <span id="page-layout-table-compact-table-name1">Sam Jones</span>
              </th>
              <td role="cell" data-label="Position">CSS guru</td>
              <td role="cell" data-label="Location">Not too sure</td>
              <td role="cell" data-label="Last seen">May 9, 2018</td>
              <td role="cell" data-label="Numbers">0556</td>
              <td class="pf-c-table__icon" role="cell" data-label="Icon">
                <i class="fas fa-check"></i>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compact-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-compact-table-name2" />
              </td>
              <th role="columnheader" data-label="Contributor">
                <span id="page-layout-table-compact-table-name2">Amy Miller</span>
              </th>
              <td role="cell" data-label="Position">Visual design</td>
              <td role="cell" data-label="Location">Raleigh</td>
              <td role="cell" data-label="Last seen">May 9, 2018</td>
              <td role="cell" data-label="Numbers">9492</td>
              <td class="pf-c-table__icon" role="cell" data-label="Icon">
                <i class="fas fa-check"></i>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compact-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-compact-table-name3" />
              </td>
              <th role="columnheader" data-label="Contributor">
                <span id="page-layout-table-compact-table-name3">Steve Wilson</span>
              </th>
              <td role="cell" data-label="Position">Visual design lead</td>
              <td role="cell" data-label="Location">Westford</td>
              <td role="cell" data-label="Last seen">May 9, 2018</td>
              <td role="cell" data-label="Numbers">9929</td>
              <td class="pf-c-table__icon" role="cell" data-label="Icon">
                <i class="fas fa-check"></i>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compact-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-compact-table-name4" />
              </td>
              <th role="columnheader" data-label="Contributor name">
                <span id="page-layout-table-compact-table-name4">Emma Jackson</span>
              </th>
              <td role="cell" data-label="Position">Interaction design</td>
              <td role="cell" data-label="Location">Westford</td>
              <td role="cell" data-label="Workspaces">May 9, 2018</td>
              <td role="cell" data-label="Last commit">2217</td>
              <td class="pf-c-table__icon" role="cell" data-label="Icon">
                <i class="fas fa-check"></i>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compact-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compact-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Compound expansion

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-compound-expansion">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-compound-expansion">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-compound-expansion-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-compound-expansion-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-compound-expansion-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compound-expansion-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compound-expansion-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compound-expansion-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compound-expansion-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compound-expansion-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compound-expansion-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compound-expansion-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compound-expansion-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-compound-expansion-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-compound-expansion-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-compound-expansion">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-expandable pf-m-grid-xl" role="grid" aria-label="Compound expandable table example" id="page-layout-table-compound-expansion-table">
          <thead>
            <tr role="row">
              <th class="pf-m-width-30 pf-c-table__sort pf-m-selected " role="columnheader" aria-sort="ascending" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Repositories</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-long-arrow-alt-up"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Branches</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                <button class="pf-c-table__button">
                  <div class="pf-c-table__button-content">
                    <span class="pf-c-table__text">Pull requests</span>
                    <span class="pf-c-table__sort-indicator">
                      <i class="fas fa-arrows-alt-v"></i>
                    </span>
                  </div>
                </button>
              </th>
              <th role="columnheader" scope="col">Work spaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody class="pf-m-expanded" role="rowgroup">
            <tr role="row">
              <th role="columnheader" data-label="Repository name">
                <a href="#">siemur/test-space</a>
              </th>
              <td class="pf-c-table__compound-expansion-toggle pf-m-expanded" role="cell" data-label="Branches">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code-branch" aria-hidden="true"></i>
                    </span>10</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Pull requests">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code" aria-hidden="true"></i>
                    </span>4</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Work spaces">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-cube" aria-hidden="true"></i>
                    </span>4</span>
                </button>
              </td>
              <td role="cell" data-label="Last commit">
                <span>20 minutes</span>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Open in Github</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row pf-m-expanded" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-1" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-1">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-1-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-2" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-2">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-2-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-3" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-3">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-3-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
          <tbody role="rowgroup">
            <tr role="row">
              <th role="columnheader" data-label="Repository name">
                <a href="#">siemur/test-space</a>
              </th>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Branches">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code-branch" aria-hidden="true"></i>
                    </span>3</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Pull requests">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code" aria-hidden="true"></i>
                    </span>4</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Work spaces">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-cube" aria-hidden="true"></i>
                    </span>2</span>
                </button>
              </td>
              <td role="cell" data-label="Last commit">
                <span>1 day ago</span>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Open in Github</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-4" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-4">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-4-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-5" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-5">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-5-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-6" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-6">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-6-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
          <tbody role="rowgroup">
            <tr role="row">
              <th role="columnheader" data-label="Repository name">
                <a href="#">siemur/test-space</a>
              </th>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Branches">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code-branch" aria-hidden="true"></i>
                    </span>70</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Pull requests">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-code" aria-hidden="true"></i>
                    </span>15</span>
                </button>
              </td>
              <td class="pf-c-table__compound-expansion-toggle " role="cell" data-label="Work spaces">
                <button class="pf-c-table__button">
                  <span class="pf-c-table__text">
                    <span class="pf-c-button__icon pf-m-start">
                      <i class="fas fa-cube" aria-hidden="true"></i>
                    </span>12</span>
                </button>
              </td>
              <td role="cell" data-label="Last commit">
                <span>2 days ago</span>
              </td>
              <td role="cell" data-label="Action">
                <a href="#">Open in Github</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-7" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-7">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-7-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-8" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-8">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-8-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
            <tr class="pf-c-table__expandable-row" role="row">
              <td class="pf-m-no-padding" role="cell" colspan="7">
                <table class="pf-c-table pf-m-compact pf-m-no-border-rows" role="grid" id="page-layout-table-compound-expansion-table-nested-table-9" aria-label="Nested table" id="page-layout-table-compound-expansion-table-nested-table-9">
                  <thead>
                    <tr role="row">
                      <th class="pf-c-table__sort " role="columnheader" aria-sort="none" scope="col">
                        <button class="pf-c-table__button">
                          <div class="pf-c-table__button-content">
                            <span class="pf-c-table__text">Description</span>
                            <span class="pf-c-table__sort-indicator">
                              <i class="fas fa-arrows-alt-v"></i>
                            </span>
                          </div>
                        </button>
                      </th>
                      <th role="columnheader" scope="col">Date</th>
                      <th role="columnheader" scope="col">Status</th>
                      <td role="cell"></td>
                    </tr>
                  </thead>
                  <tbody role="rowgroup">
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item one</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr1-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr1-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item two</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Warning</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr2-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr2-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item three</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr3-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr3-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item four</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr4-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr4-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                    <tr role="row">
                      <th role="columnheader" data-label="Description">Item five</th>
                      <td role="cell" data-label="Date">May 9, 2018</td>
                      <td role="cell" data-label="Status">Active</td>
                      <td class="pf-c-table__action" role="cell">
                        <div class="pf-c-dropdown">
                          <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr5-button" aria-expanded="false" aria-label="Actions">
                            <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                          </button>
                          <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-compound-expansion-table-nested-table-9-dropdown-kebab-nested-tr5-button" hidden>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                            </li>
                            <li>
                              <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                            </li>
                            <li>
                              <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                            </li>
                            <li class="pf-c-divider" role="separator"></li>
                            <li>
                              <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                            </li>
                          </ul>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Loading state demo

```html isFullscreen
<div class="pf-c-page" id="table-loading-demo">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-table-loading-demo">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="table-loading-demo-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="table-loading-demo-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="table-loading-demo-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="table-loading-demo-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="table-loading-demo-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="table-loading-demo-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-loading-demo-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-loading-demo-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-loading-demo-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-loading-demo-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-loading-demo-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-loading-demo-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-loading-demo-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-loading-demo-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-loading-demo-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-loading-demo-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-table-loading-demo">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-xl" role="grid" aria-label="This is a table showing a loading state" id="table-loading-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td role="cell" colspan="8">
                <div class="pf-l-bullseye">
                  <div class="pf-c-empty-state pf-m-sm">
                    <div class="pf-c-empty-state__content">
                      <div class="pf-c-empty-state__icon">
                        <span class="pf-c-spinner" role="progressbar" aria-valuetext="Loading...">
                          <span class="pf-c-spinner__clipper"></span>
                          <span class="pf-c-spinner__lead-ball"></span>
                          <span class="pf-c-spinner__tail-ball"></span>
                        </span>
                      </div>
                      <h2 class="pf-c-title pf-m-lg">Loading</h2>
                    </div>
                  </div>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </section>
  </main>
</div>
```

### Empty state

```html isFullscreen
<div class="pf-c-page" id="table-empty-state-demo">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-table-empty-state-demo">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="table-empty-state-demo-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="table-empty-state-demo-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="table-empty-state-demo-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="table-empty-state-demo-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="table-empty-state-demo-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="table-empty-state-demo-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-empty-state-demo-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-empty-state-demo-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-empty-state-demo-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-empty-state-demo-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-empty-state-demo-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-empty-state-demo-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-empty-state-demo-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-empty-state-demo-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="table-empty-state-demo-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="table-empty-state-demo-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-table-empty-state-demo">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-xl" role="grid" aria-label="This is a table showing an empty state" id="empty-state-table-demo">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td role="cell" colspan="8">
                <div class="pf-l-bullseye">
                  <div class="pf-c-empty-state pf-m-sm">
                    <div class="pf-c-empty-state__content">
                      <i class="fas fa- fa-search pf-c-empty-state__icon" aria-hidden="true"></i>
                      <h2 class="pf-c-title pf-m-lg">No results found</h2>
                      <div class="pf-c-empty-state__body">No results match the filter criteria. Remove all filters or clear all filters to show results.</div>
                      <div class="pf-c-empty-state__primary">
                        <button class="pf-c-button pf-m-link" type="button">Clear all filters</button>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </section>
  </main>
</div>
```

### Static bottom pagination

```html isFullscreen
<div class="pf-c-page" id="static-bottom-pagination">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-static-bottom-pagination">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="static-bottom-pagination-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="static-bottom-pagination-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="static-bottom-pagination-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="static-bottom-pagination-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="static-bottom-pagination-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="static-bottom-pagination-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="static-bottom-pagination-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="static-bottom-pagination-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="static-bottom-pagination-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="static-bottom-pagination-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="static-bottom-pagination-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="static-bottom-pagination-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="static-bottom-pagination-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-static-bottom-pagination">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-md " role="grid" aria-label="This is a table with checkboxes" id="static-bottom-pagination-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="static-bottom-pagination-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="static-bottom-pagination-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="static-bottom-pagination-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="static-bottom-pagination-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
30
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
2
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="static-bottom-pagination-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="static-bottom-pagination-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
12
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
48
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
13
                </span>
              </td>
              <td role="cell" data-label="Last commit">30 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="static-bottom-pagination-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="static-bottom-pagination-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
3
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
20
                </span>
              </td>
              <td role="cell" data-label="Last commit">8 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow5" aria-labelledby="static-bottom-pagination-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="static-bottom-pagination-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
34
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
21
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
26
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="static-bottom-pagination-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="static-bottom-pagination-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom pf-m-static">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-static-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-static-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```

### Column management modal

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-simple-compact-pagination-modal-open">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-simple-compact-pagination-modal-open">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-simple-compact-pagination-modal-open-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-simple-compact-pagination-modal-open-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-compact-pagination-modal-open-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-compact-pagination-modal-open-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-compact-pagination-modal-open-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-compact-pagination-modal-open-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-compact-pagination-modal-open-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-simple-compact-pagination-modal-open">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-md " role="grid" aria-label="This is a table with checkboxes" id="page-layout-table-simple-compact-pagination-modal-open-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-compact-pagination-modal-open-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-compact-pagination-modal-open-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
30
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
2
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-compact-pagination-modal-open-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
12
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
48
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
13
                </span>
              </td>
              <td role="cell" data-label="Last commit">30 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-compact-pagination-modal-open-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
3
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
20
                </span>
              </td>
              <td role="cell" data-label="Last commit">8 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow5" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-compact-pagination-modal-open-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
34
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
21
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
26
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-compact-pagination-modal-open-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </section>
  </main>
</div>
<div class="pf-c-backdrop">
  <div class="pf-l-bullseye">
    <div class="pf-c-modal-box pf-m-sm" role="dialog" aria-modal="true" aria-labelledby="modal-title" aria-describedby="modal-description">
      <button class="pf-c-button pf-m-plain" type="button" aria-label="Close">
        <i class="fas fa-times" aria-hidden="true"></i>
      </button>
      <header class="pf-c-modal-box__header">
        <h1 class="pf-c-modal-box__title" id="modal-title">Manage columns</h1>
        <div class="pf-c-modal-box__description">
          <div class="pf-c-content">
            <p>Selected categories will be displayed in the table.</p>
            <button class="pf-c-button pf-m-link pf-m-inline" type="button">Select all</button>
          </div>
        </div>
      </header>
      <div class="pf-c-modal-box__body" id="modal-description">
        <ul class="pf-c-data-list pf-m-compact" role="list" aria-label="Draggable data list rows" id="table-manage-columns-data-list-draggable">
          <li class="pf-c-data-list__item pf-m-draggable" aria-labelledby="table-manage-columns-data-list-draggable-item1">
            <div class="pf-c-data-list__item-row">
              <div class="pf-c-data-list__item-control">
                <span class="pf-c-data-list__item-draggable-icon">
                  <i class="fas fa-grip-vertical"></i>
                </span>
                <div class="pf-c-data-list__check">
                  <input type="checkbox" name="table-manage-columns-data-list-draggable-check-action-check1" aria-labelledby="table-manage-columns-data-list-draggable-item1" checked />
                </div>
              </div>
              <div class="pf-c-data-list__item-content">
                <div class="pf-c-data-list__cell">
                  <span id="table-manage-columns-data-list-draggable-item1">Repositories</span>
                </div>
              </div>
            </div>
          </li>
          <li class="pf-c-data-list__item pf-m-draggable pf-m-dragged" aria-labelledby="table-manage-columns-data-list-draggable-item2" tabindex="0">
            <div class="pf-c-data-list__item-row">
              <div class="pf-c-data-list__item-control">
                <span class="pf-c-data-list__item-draggable-icon">
                  <i class="fas fa-grip-vertical"></i>
                </span>
                <div class="pf-c-data-list__check">
                  <input type="checkbox" name="table-manage-columns-data-list-draggable-check-action-check2" aria-labelledby="table-manage-columns-data-list-draggable-item2" checked />
                </div>
              </div>
              <div class="pf-c-data-list__item-content">
                <div class="pf-c-data-list__cell">
                  <span id="table-manage-columns-data-list-draggable-item2">Branches</span>
                </div>
              </div>
            </div>
          </li>
          <li class="pf-c-data-list__item pf-m-draggable" aria-labelledby="table-manage-columns-data-list-draggable-item3" tabindex="0">
            <div class="pf-c-data-list__item-row">
              <div class="pf-c-data-list__item-control">
                <span class="pf-c-data-list__item-draggable-icon">
                  <i class="fas fa-grip-vertical"></i>
                </span>
                <div class="pf-c-data-list__check">
                  <input type="checkbox" name="table-manage-columns-data-list-draggable-check-action-check3" aria-labelledby="table-manage-columns-data-list-draggable-item3" checked />
                </div>
              </div>
              <div class="pf-c-data-list__item-content">
                <div class="pf-c-data-list__cell">
                  <span id="table-manage-columns-data-list-draggable-item3">Pull requests</span>
                </div>
              </div>
            </div>
          </li>
          <li class="pf-c-data-list__item pf-m-draggable" aria-labelledby="table-manage-columns-data-list-draggable-item4" tabindex="0">
            <div class="pf-c-data-list__item-row">
              <div class="pf-c-data-list__item-control">
                <span class="pf-c-data-list__item-draggable-icon">
                  <i class="fas fa-grip-vertical"></i>
                </span>
                <div class="pf-c-data-list__check">
                  <input type="checkbox" name="table-manage-columns-data-list-draggable-check-action-check4" aria-labelledby="table-manage-columns-data-list-draggable-item4" checked />
                </div>
              </div>
              <div class="pf-c-data-list__item-content">
                <div class="pf-c-data-list__cell">
                  <span id="table-manage-columns-data-list-draggable-item4">Workspaces</span>
                </div>
              </div>
            </div>
          </li>
          <li class="pf-c-data-list__item pf-m-draggable" aria-labelledby="table-manage-columns-data-list-draggable-item5" tabindex="0">
            <div class="pf-c-data-list__item-row">
              <div class="pf-c-data-list__item-control">
                <span class="pf-c-data-list__item-draggable-icon">
                  <i class="fas fa-grip-vertical"></i>
                </span>
                <div class="pf-c-data-list__check">
                  <input type="checkbox" name="table-manage-columns-data-list-draggable-check-action-check5" aria-labelledby="table-manage-columns-data-list-draggable-item5" checked />
                </div>
              </div>
              <div class="pf-c-data-list__item-content">
                <div class="pf-c-data-list__cell">
                  <span id="table-manage-columns-data-list-draggable-item5">Last commit</span>
                </div>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <footer class="pf-c-modal-box__footer">
        <button class="pf-c-button pf-m-primary" type="button">Save</button>
        <button class="pf-c-button pf-m-link" type="button">Cancel</button>
      </footer>
    </div>
  </div>
</div>
```

### Sticky header

```html isFullscreen
<div class="pf-c-page" id="page-layout-table-simple">
  <a class="pf-c-skip-to-content pf-c-button pf-m-primary" href="#main-content-page-layout-table-simple">Skip to content</a>
  <header class="pf-c-page__header">
    <div class="pf-c-page__header-brand">
      <div class="pf-c-page__header-brand-toggle">
        <button class="pf-c-button pf-m-plain" type="button" id="page-layout-table-simple-nav-toggle" aria-label="Global navigation" aria-expanded="true" aria-controls="page-layout-table-simple-primary-nav">
          <i class="fas fa-bars" aria-hidden="true"></i>
        </button>
      </div>
      <a href="#" class="pf-c-page__header-brand-link">
        <img class="pf-c-brand" src="/assets/images/PF-Masthead-Logo.svg" alt="PatternFly logo" />
      </a>
    </div>
    <div class="pf-c-page__header-tools">
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Settings">
            <i class="fas fa-cog" aria-hidden="true"></i>
          </button>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-lg">
          <button class="pf-c-button pf-m-plain" type="button" aria-label="Help">
            <i class="pf-icon pf-icon-help" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pf-c-page__header-tools-group">
        <div class="pf-c-page__header-tools-item pf-m-hidden-on-lg">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
              <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
            </button>
            <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-dropdown-kebab-right-aligned-1-button" hidden>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button">Action</button>
              </li>
              <li>
                <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
              </li>
              <li>
                <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
              </li>
              <li class="pf-c-divider" role="separator"></li>
              <li>
                <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="pf-c-page__header-tools-item pf-m-hidden pf-m-visible-on-md">
          <div class="pf-c-dropdown">
            <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-dropdown-button" aria-expanded="false">
              <span class="pf-c-dropdown__toggle-text">John Smith</span>
              <span class="pf-c-dropdown__toggle-icon">
                <i class="fas fa-caret-down" aria-hidden="true"></i>
              </span>
            </button>
            <div class="pf-c-dropdown__menu" hidden>[Panel contents here]</div>
          </div>
        </div>
      </div>
      <img class="pf-c-avatar" src="/assets/images/img_avatar.svg" alt="Avatar image" />
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav class="pf-c-nav" id="page-layout-table-simple-primary-nav" aria-label="Global">
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item pf-m-expandable pf-m-expanded pf-m-current">
            <button class="pf-c-nav__link" aria-expanded="true">Components
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title1">
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title1">First nav item</h2>
              <ul class="pf-c-nav__list">
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Forms</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Table</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Data list</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Icons</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">Layouts</a>
                </li>
                <li class="pf-c-nav__item">
                  <a href="#" class="pf-c-nav__link">List</a>
                </li>
              </ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Patterns
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title2" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title2">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Typography
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title3" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title3">Third nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Icons
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title4" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title4">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
          <li class="pf-c-nav__item pf-m-expandable">
            <button class="pf-c-nav__link" aria-expanded="false">Colors
              <span class="pf-c-nav__toggle">
                <span class="pf-c-nav__toggle-icon">
                  <i class="fas fa-angle-right" aria-hidden="true"></i>
                </span>
              </span>
            </button>
            <section class="pf-c-nav__subnav" aria-labelledby="page-layout-table-simple-subnav-title5" hidden>
              <h2 class="pf-c-nav__subnav-title pf-screen-reader" id="page-layout-table-simple-subnav-title5">Second nav item</h2>
              <ul class="pf-c-nav__list"></ul>
            </section>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main class="pf-c-page__main" tabindex="-1" id="main-content-page-layout-table-simple">
    <section class="pf-c-page__main-nav">
      <nav class="pf-c-nav pf-m-tertiary pf-m-scrollable" aria-label="Local">
        <button class="pf-c-nav__scroll-button" disabled aria-label="Scroll left">
          <i class="fas fa-angle-left" aria-hidden="true"></i>
        </button>
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link pf-m-current" aria-current="page">Nav Item 1</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 2</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 3</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 4</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Nav Item 5</a>
          </li>
        </ul>
        <button class="pf-c-nav__scroll-button" aria-label="Scroll right">
          <i class="fas fa-angle-right" aria-hidden="true"></i>
        </button>
      </nav>
    </section>
    <section class="pf-c-page__main-section pf-m-light">
      <div class="pf-c-content">
        <h1>Table demos</h1>
        <p>Below is an example of a Table.</p>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-no-padding pf-m-padding-on-md">
      <div class="pf-c-card">
        <table class="pf-c-table pf-m-grid-md pf-m-sticky-header" role="grid" aria-label="This is a table with checkboxes" id="page-layout-table-simple-table">
          <thead>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="check-all" aria-label="Select all rows" />
              </td>
              <th role="columnheader" scope="col">Repositories</th>
              <th role="columnheader" scope="col">Branches</th>
              <th role="columnheader" scope="col">Pull requests</th>
              <th role="columnheader" scope="col">Workspaces</th>
              <th role="columnheader" scope="col">Last commit</th>
              <td role="cell"></td>
              <td role="cell"></td>
            </tr>
          </thead>
          <tbody role="rowgroup">
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow1" aria-labelledby="page-layout-table-simple-table-node1" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node1">Node 1</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
10
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
25
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
5
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-1-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-1-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow2" aria-labelledby="page-layout-table-simple-table-node2" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node2">Node 2</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
30
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
2
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-2-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-2-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow3" aria-labelledby="page-layout-table-simple-table-node3" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node3">Node 3</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
12
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
48
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
13
                </span>
              </td>
              <td role="cell" data-label="Last commit">30 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-3-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-3-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow4" aria-labelledby="page-layout-table-simple-table-node4" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node4">Node 4</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
3
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
8
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
20
                </span>
              </td>
              <td role="cell" data-label="Last commit">8 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-4-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-4-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
            <tr role="row">
              <td class="pf-c-table__check" role="cell">
                <input type="checkbox" name="checkrow5" aria-labelledby="page-layout-table-simple-table-node5" />
              </td>
              <th role="columnheader" data-label="Repository name">
                <div>
                  <div id="page-layout-table-simple-table-node5">Node 5</div>
                  <a href="#">siemur/test-space</a>
                </div>
              </th>
              <td role="cell" data-label="Branches">
                <span>
                  <i class="fas fa-code-branch"></i>
34
                </span>
              </td>
              <td role="cell" data-label="Pull requests">
                <span>
                  <i class="fas fa-code"></i>
21
                </span>
              </td>
              <td role="cell" data-label="Workspaces">
                <span>
                  <i class="fas fa-cube"></i>
26
                </span>
              </td>
              <td role="cell" data-label="Last commit">2 days ago</td>
              <td role="cell" data-label="Action">
                <a href="#">Action link</a>
              </td>
              <td class="pf-c-table__action" role="cell">
                <div class="pf-c-dropdown">
                  <button class="pf-c-dropdown__toggle pf-m-plain" type="button" id="page-layout-table-simple-table-dropdown-kebab-right-aligned-5-button" aria-expanded="false" aria-label="Actions">
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <ul class="pf-c-dropdown__menu pf-m-align-right" aria-labelledby="page-layout-table-simple-table-dropdown-kebab-right-aligned-5-button" hidden>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button">Action</button>
                    </li>
                    <li>
                      <a class="pf-c-dropdown__menu-item pf-m-disabled" href="#" aria-disabled="true" tabindex="-1">Disabled link</a>
                    </li>
                    <li>
                      <button class="pf-c-dropdown__menu-item" type="button" disabled>Disabled action</button>
                    </li>
                    <li class="pf-c-divider" role="separator"></li>
                    <li>
                      <a class="pf-c-dropdown__menu-item" href="#">Separated link</a>
                    </li>
                  </ul>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="pf-c-pagination pf-m-bottom">
          <div class="pf-c-options-menu pf-m-top">
            <div class="pf-c-options-menu__toggle pf-m-text pf-m-plain">
              <span class="pf-c-options-menu__toggle-text">
                <b>1 - 10</b>&nbsp;of&nbsp;
                <b>37</b>
              </span>
              <button class="pf-c-options-menu__toggle-button" id="{{page--id}}-pagination-options-menu-bottom-example-toggle" aria-haspopup="listbox" aria-expanded="false" aria-label="Items per page">
                <span class="pf-c-options-menu__toggle-button-icon">
                  <i class="fas fa-caret-down" aria-hidden="true"></i>
                </span>
              </button>
            </div>
            <ul class="pf-c-options-menu__menu pf-m-top" aria-labelledby="{{page--id}}-pagination-options-menu-bottom-example-toggle" hidden>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">5 per page</button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">10 per page
                  <div class="pf-c-options-menu__menu-item-icon">
                    <i class="fas fa-check" aria-hidden="true"></i>
                  </div>
                </button>
              </li>
              <li>
                <button class="pf-c-options-menu__menu-item" type="button">20 per page</button>
              </li>
            </ul>
          </div>
          <nav class="pf-c-pagination__nav" aria-label="Pagination">
            <div class="pf-c-pagination__nav-control pf-m-first">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to first page">
                <i class="fas fa-angle-double-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-prev">
              <button class="pf-c-button pf-m-plain" type="button" disabled aria-label="Go to previous page">
                <i class="fas fa-angle-left" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-page-select">
              <input class="pf-c-form-control" aria-label="Current page" type="number" min="1" max="4" value="1" />
              <span aria-hidden="true">of 4</span>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-next">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to next page">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </button>
            </div>
            <div class="pf-c-pagination__nav-control pf-m-last">
              <button class="pf-c-button pf-m-plain" type="button" aria-label="Go to last page">
                <i class="fas fa-angle-double-right" aria-hidden="true"></i>
              </button>
            </div>
          </nav>
        </div>
      </div>
    </section>
  </main>
</div>
```
